/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef POSITION_H
#define POSITION_H

#include <string>

namespace Blinker {

/// a Blinken frame position
class Position
{
public:
  /// constructor
  Position();

public:
  /**
   * @brief parse from string format
   * @param[in] str string format
   * @return if parsing was successful
   */
  bool fromStr(const std::string &str);

  /**
   * @brief convert to string format
   * @return string format
   */
  std::string toStr() const;

public:
  unsigned int m_x; ///< X coordinate within the frame (in pixels)
  unsigned int m_y; ///< Y ccordinate within the frame (in pixels)
}; // class Position

} // namespace Blinker

#endif // #ifndef POSITION_H

